---  # -*- mode: yaml -*-
http:
  addr: {{ alertmanager_ntfy_listen_addr }}
{% if alertmanager_ntfy_user is defined %}
  auth:
    username: "{{ alertmanager_ntfy_user }}"
    password: "{{ alertmanager_ntfy_pass }}"
{% endif %}
ntfy:
  baseurl: {{ alertmanager_ntfy_sh_base }}
  timeout: 30s
{% if alertmanager_ntfy_sh_user is defined %}
  auth:
    username: "{{ alertmanager_ntfy_sh_user }}"
    password: "{{ alertmanager_ntfy_sh_pass }}"
{% endif %}
  notification:
    # this is interpreted as a "gval expression", therefore we put the topic in double quotes
    topic: '"{{ alertmanager_ntfy_topic }}"'
{% raw %}
    priority: |
      status == "firing" ? "urgent" : "default"
    tags:
      - tag: "+1"
        condition: status == "resolved"
      - tag: rotating_light
        condition: status == "firing"
    templates:
      title: |
        {{ if eq .Status "resolved" }}Resolved: {{ end }}{{ index .Annotations "summary" }}
      description: |
        {{ index .Annotations "description" }}
{% endraw %}
